FB.init({
	appId  : '169990249681685',
	frictionlessRequests: true,
	xfbml: true, 
	cookie: true,
	});

function sendRequestToRecipients() {
	var user_ids = document.getElementsByName("user_ids")[0].value;
    FB.ui({
		method: 'apprequests',
		message: 'Conviertete en un verdadero Cheff',
		to: user_ids, 
    }, requestCallback);
}

function invitarContactos() {
    FB.ui({
		method: 'apprequests',
		message: 'Conviertete en un verdadero Cheff'
    }, requestCallback);
}
      
function requestCallback(response) {
  //manejador...
    if (response) {
		alert('Invitaciones enviadas');
	} else {
		alert('Invitaciones no enviadas');
	}
}

function saludo() {
	alert('Hola desde la funcion saludo');
}

function denegado() {
	alert('No puede votar una receta suya, corresponde al resto de usuarios');
}

function mostrarFavoritas() {
	alert('Vamos a mostrar sus recetas Favoritas');
	window.location = "index03.php?mostrar=favorites";
}

function mostrarCreaciones() {
	alert('Vamos a mostrar sus creaciones');
	window.location = "index03.php";
}

function RankActual() {
	alert('Opcion ya seleccionada');
}

function Rank01() {
	window.location = "index05.php?ranca=1";
}

function Rank02() {
	window.location = "index05.php?ranca=2";
}

function Rank03() {
	window.location = "index05.php?ranca=3";
}

function Rank04() {
	window.location = "index05.php?ranca=4";
}

	
function anadir(codRed, codAut) {
	var $selec = confirm("Quiere que la receta forme parte de sus favoritas?");
		if($selec){
			//alert("La receta formara parte de sus Favoritas");
			window.location = "script/anadir.php?anade="+codRed+"&autor="+codAut;
		}else{
			alert("La Receta no formara parte de sus Favoritas");
		}
}


function quitar(codRed, codAut) {
	var $selec = confirm("Quiere quitar esta receta de sus favoritas?");
		if($selec){
			//alert("La Receta se quitara de sus favoritas");
			window.location = "script/quitar.php?quita="+codRed+"&autor="+codAut;
		}else{
			alert("La Receta seguira formando parte de sus Favoritas");
		}
}

function valorar(par1, par2, par3) {
	var $selec = confirm("Quiere puntuar esta receta con un "+document.getElementById('valoracion').value+"?");
		if($selec){
			alert("La Receta sera Valorada con un: "+document.getElementById('valoracion').value);
			window.location = "script/puntuar.php?receta="+par1+"&puntuador="+par2+"&puntuacion="+document.getElementById('valoracion').value+"&puntuado="+par3;
		}else{
			alert("Reconsidere la opcion de Puntuarla");
		}
}

function modValorar(parA, parB, parC) {
	var $selec2 = confirm("Quiere modificiar su Puntuacion?");
		if($selec2){
			window.location = "script/repuntuar.php?receta2="+parA+"&puntuador2="+parB+"&puntuacion2="+document.getElementById('nuevaValoracion').value+"&puntuado2="+parC;
		}else{
			alert("No se modificara su Puntuacion");
		}
}

function eliminar(variable) {
	var $selec = confirm("¿Realmente quiere borrar su receta?");
		if($selec){
			alert("La Receta va a ser eliminada");
			window.location = "script/eliminar.php?elimina="+variable;
		}else{
			alert("No se eliminará su recera");
		}
}

function saluda( ) {
	alert('Hola desde la funcion enviarRece');
}

function modificar(variable) {
	var $selec = confirm("¿Quiere modificar su receta?");
		if($selec){
			alert("Modifique lo mínimo necesario");
			window.location = "script/modificar.php?modifica="+variable;
		}else{
			alert("No se modificará su receta");
		}
}

function CocinaActual() {
	alert('Opcion ya seleccionada');
}

function Cocina01() {
	window.location = "index03.php?mostra=1";
}

function Cocina02() {
	window.location = "index03.php?mostra=2";
}

function Cocina03() {
	window.location = "index03.php?mostra=3";
}